IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/36
Addresses2^92
/64 networks268,435,456
- Network
2001:f:9000::/36- First address
2001:f:9000::- Last address
2001:f:9fff:ffff:ffff:ffff:ffff:ffff- Addresses
- 4,951,760,157,141,521,099,596,496,896 (2^92)
- /64 networks (LANs)
- 268,435,456
- Full form
2001:000f:9000:0000:0000:0000:0000:0000- Type
- Global unicast 2000::/3
Public internet addresses - Reverse DNS zone
9.f.0.0.0.1.0.0.2.ip6.arpa
Split into smaller subnets
2001:f:9000::/36 makes 256 subnets of /44.
| # | Subnet | Last address |
|---|---|---|
| 1 | 2001:f:9000::/44 | 2001:f:900f:ffff:ffff:ffff:ffff:ffff |
| 2 | 2001:f:9010::/44 | 2001:f:901f:ffff:ffff:ffff:ffff:ffff |
| 3 | 2001:f:9020::/44 | 2001:f:902f:ffff:ffff:ffff:ffff:ffff |
| 4 | 2001:f:9030::/44 | 2001:f:903f:ffff:ffff:ffff:ffff:ffff |
| 5 | 2001:f:9040::/44 | 2001:f:904f:ffff:ffff:ffff:ffff:ffff |
| 6 | 2001:f:9050::/44 | 2001:f:905f:ffff:ffff:ffff:ffff:ffff |
| 7 | 2001:f:9060::/44 | 2001:f:906f:ffff:ffff:ffff:ffff:ffff |
| 8 | 2001:f:9070::/44 | 2001:f:907f:ffff:ffff:ffff:ffff:ffff |
| 9 | 2001:f:9080::/44 | 2001:f:908f:ffff:ffff:ffff:ffff:ffff |
| 10 | 2001:f:9090::/44 | 2001:f:909f:ffff:ffff:ffff:ffff:ffff |
| 11 | 2001:f:90a0::/44 | 2001:f:90af:ffff:ffff:ffff:ffff:ffff |
| 12 | 2001:f:90b0::/44 | 2001:f:90bf:ffff:ffff:ffff:ffff:ffff |
| 13 | 2001:f:90c0::/44 | 2001:f:90cf:ffff:ffff:ffff:ffff:ffff |
| 14 | 2001:f:90d0::/44 | 2001:f:90df:ffff:ffff:ffff:ffff:ffff |
| 15 | 2001:f:90e0::/44 | 2001:f:90ef:ffff:ffff:ffff:ffff:ffff |
| 16 | 2001:f:90f0::/44 | 2001:f:90ff:ffff:ffff:ffff:ffff:ffff |
| 17 | 2001:f:9100::/44 | 2001:f:910f:ffff:ffff:ffff:ffff:ffff |
| 18 | 2001:f:9110::/44 | 2001:f:911f:ffff:ffff:ffff:ffff:ffff |
| 19 | 2001:f:9120::/44 | 2001:f:912f:ffff:ffff:ffff:ffff:ffff |
| 20 | 2001:f:9130::/44 | 2001:f:913f:ffff:ffff:ffff:ffff:ffff |
| 21 | 2001:f:9140::/44 | 2001:f:914f:ffff:ffff:ffff:ffff:ffff |
| 22 | 2001:f:9150::/44 | 2001:f:915f:ffff:ffff:ffff:ffff:ffff |
| 23 | 2001:f:9160::/44 | 2001:f:916f:ffff:ffff:ffff:ffff:ffff |
| 24 | 2001:f:9170::/44 | 2001:f:917f:ffff:ffff:ffff:ffff:ffff |
| 25 | 2001:f:9180::/44 | 2001:f:918f:ffff:ffff:ffff:ffff:ffff |
| 26 | 2001:f:9190::/44 | 2001:f:919f:ffff:ffff:ffff:ffff:ffff |
| 27 | 2001:f:91a0::/44 | 2001:f:91af:ffff:ffff:ffff:ffff:ffff |
| 28 | 2001:f:91b0::/44 | 2001:f:91bf:ffff:ffff:ffff:ffff:ffff |
| 29 | 2001:f:91c0::/44 | 2001:f:91cf:ffff:ffff:ffff:ffff:ffff |
| 30 | 2001:f:91d0::/44 | 2001:f:91df:ffff:ffff:ffff:ffff:ffff |
| 31 | 2001:f:91e0::/44 | 2001:f:91ef:ffff:ffff:ffff:ffff:ffff |
| 32 | 2001:f:91f0::/44 | 2001:f:91ff:ffff:ffff:ffff:ffff:ffff |
| 33 | 2001:f:9200::/44 | 2001:f:920f:ffff:ffff:ffff:ffff:ffff |
| 34 | 2001:f:9210::/44 | 2001:f:921f:ffff:ffff:ffff:ffff:ffff |
| 35 | 2001:f:9220::/44 | 2001:f:922f:ffff:ffff:ffff:ffff:ffff |
| 36 | 2001:f:9230::/44 | 2001:f:923f:ffff:ffff:ffff:ffff:ffff |
| 37 | 2001:f:9240::/44 | 2001:f:924f:ffff:ffff:ffff:ffff:ffff |
| 38 | 2001:f:9250::/44 | 2001:f:925f:ffff:ffff:ffff:ffff:ffff |
| 39 | 2001:f:9260::/44 | 2001:f:926f:ffff:ffff:ffff:ffff:ffff |
| 40 | 2001:f:9270::/44 | 2001:f:927f:ffff:ffff:ffff:ffff:ffff |
| 41 | 2001:f:9280::/44 | 2001:f:928f:ffff:ffff:ffff:ffff:ffff |
| 42 | 2001:f:9290::/44 | 2001:f:929f:ffff:ffff:ffff:ffff:ffff |
| 43 | 2001:f:92a0::/44 | 2001:f:92af:ffff:ffff:ffff:ffff:ffff |
| 44 | 2001:f:92b0::/44 | 2001:f:92bf:ffff:ffff:ffff:ffff:ffff |
| 45 | 2001:f:92c0::/44 | 2001:f:92cf:ffff:ffff:ffff:ffff:ffff |
| 46 | 2001:f:92d0::/44 | 2001:f:92df:ffff:ffff:ffff:ffff:ffff |
| 47 | 2001:f:92e0::/44 | 2001:f:92ef:ffff:ffff:ffff:ffff:ffff |
| 48 | 2001:f:92f0::/44 | 2001:f:92ff:ffff:ffff:ffff:ffff:ffff |
| 49 | 2001:f:9300::/44 | 2001:f:930f:ffff:ffff:ffff:ffff:ffff |
| 50 | 2001:f:9310::/44 | 2001:f:931f:ffff:ffff:ffff:ffff:ffff |
| 51 | 2001:f:9320::/44 | 2001:f:932f:ffff:ffff:ffff:ffff:ffff |
| 52 | 2001:f:9330::/44 | 2001:f:933f:ffff:ffff:ffff:ffff:ffff |
| 53 | 2001:f:9340::/44 | 2001:f:934f:ffff:ffff:ffff:ffff:ffff |
| 54 | 2001:f:9350::/44 | 2001:f:935f:ffff:ffff:ffff:ffff:ffff |
| 55 | 2001:f:9360::/44 | 2001:f:936f:ffff:ffff:ffff:ffff:ffff |
| 56 | 2001:f:9370::/44 | 2001:f:937f:ffff:ffff:ffff:ffff:ffff |
| 57 | 2001:f:9380::/44 | 2001:f:938f:ffff:ffff:ffff:ffff:ffff |
| 58 | 2001:f:9390::/44 | 2001:f:939f:ffff:ffff:ffff:ffff:ffff |
| 59 | 2001:f:93a0::/44 | 2001:f:93af:ffff:ffff:ffff:ffff:ffff |
| 60 | 2001:f:93b0::/44 | 2001:f:93bf:ffff:ffff:ffff:ffff:ffff |
| 61 | 2001:f:93c0::/44 | 2001:f:93cf:ffff:ffff:ffff:ffff:ffff |
| 62 | 2001:f:93d0::/44 | 2001:f:93df:ffff:ffff:ffff:ffff:ffff |
| 63 | 2001:f:93e0::/44 | 2001:f:93ef:ffff:ffff:ffff:ffff:ffff |
| 64 | 2001:f:93f0::/44 | 2001:f:93ff:ffff:ffff:ffff:ffff:ffff |
| 65 | 2001:f:9400::/44 | 2001:f:940f:ffff:ffff:ffff:ffff:ffff |
| 66 | 2001:f:9410::/44 | 2001:f:941f:ffff:ffff:ffff:ffff:ffff |
| 67 | 2001:f:9420::/44 | 2001:f:942f:ffff:ffff:ffff:ffff:ffff |
| 68 | 2001:f:9430::/44 | 2001:f:943f:ffff:ffff:ffff:ffff:ffff |
| 69 | 2001:f:9440::/44 | 2001:f:944f:ffff:ffff:ffff:ffff:ffff |
| 70 | 2001:f:9450::/44 | 2001:f:945f:ffff:ffff:ffff:ffff:ffff |
| 71 | 2001:f:9460::/44 | 2001:f:946f:ffff:ffff:ffff:ffff:ffff |
| 72 | 2001:f:9470::/44 | 2001:f:947f:ffff:ffff:ffff:ffff:ffff |
| 73 | 2001:f:9480::/44 | 2001:f:948f:ffff:ffff:ffff:ffff:ffff |
| 74 | 2001:f:9490::/44 | 2001:f:949f:ffff:ffff:ffff:ffff:ffff |
| 75 | 2001:f:94a0::/44 | 2001:f:94af:ffff:ffff:ffff:ffff:ffff |
| 76 | 2001:f:94b0::/44 | 2001:f:94bf:ffff:ffff:ffff:ffff:ffff |
| 77 | 2001:f:94c0::/44 | 2001:f:94cf:ffff:ffff:ffff:ffff:ffff |
| 78 | 2001:f:94d0::/44 | 2001:f:94df:ffff:ffff:ffff:ffff:ffff |
| 79 | 2001:f:94e0::/44 | 2001:f:94ef:ffff:ffff:ffff:ffff:ffff |
| 80 | 2001:f:94f0::/44 | 2001:f:94ff:ffff:ffff:ffff:ffff:ffff |
| 81 | 2001:f:9500::/44 | 2001:f:950f:ffff:ffff:ffff:ffff:ffff |
| 82 | 2001:f:9510::/44 | 2001:f:951f:ffff:ffff:ffff:ffff:ffff |
| 83 | 2001:f:9520::/44 | 2001:f:952f:ffff:ffff:ffff:ffff:ffff |
| 84 | 2001:f:9530::/44 | 2001:f:953f:ffff:ffff:ffff:ffff:ffff |
| 85 | 2001:f:9540::/44 | 2001:f:954f:ffff:ffff:ffff:ffff:ffff |
| 86 | 2001:f:9550::/44 | 2001:f:955f:ffff:ffff:ffff:ffff:ffff |
| 87 | 2001:f:9560::/44 | 2001:f:956f:ffff:ffff:ffff:ffff:ffff |
| 88 | 2001:f:9570::/44 | 2001:f:957f:ffff:ffff:ffff:ffff:ffff |
| 89 | 2001:f:9580::/44 | 2001:f:958f:ffff:ffff:ffff:ffff:ffff |
| 90 | 2001:f:9590::/44 | 2001:f:959f:ffff:ffff:ffff:ffff:ffff |
| 91 | 2001:f:95a0::/44 | 2001:f:95af:ffff:ffff:ffff:ffff:ffff |
| 92 | 2001:f:95b0::/44 | 2001:f:95bf:ffff:ffff:ffff:ffff:ffff |
| 93 | 2001:f:95c0::/44 | 2001:f:95cf:ffff:ffff:ffff:ffff:ffff |
| 94 | 2001:f:95d0::/44 | 2001:f:95df:ffff:ffff:ffff:ffff:ffff |
| 95 | 2001:f:95e0::/44 | 2001:f:95ef:ffff:ffff:ffff:ffff:ffff |
| 96 | 2001:f:95f0::/44 | 2001:f:95ff:ffff:ffff:ffff:ffff:ffff |
| 97 | 2001:f:9600::/44 | 2001:f:960f:ffff:ffff:ffff:ffff:ffff |
| 98 | 2001:f:9610::/44 | 2001:f:961f:ffff:ffff:ffff:ffff:ffff |
| 99 | 2001:f:9620::/44 | 2001:f:962f:ffff:ffff:ffff:ffff:ffff |
| 100 | 2001:f:9630::/44 | 2001:f:963f:ffff:ffff:ffff:ffff:ffff |
| 101 | 2001:f:9640::/44 | 2001:f:964f:ffff:ffff:ffff:ffff:ffff |
| 102 | 2001:f:9650::/44 | 2001:f:965f:ffff:ffff:ffff:ffff:ffff |
| 103 | 2001:f:9660::/44 | 2001:f:966f:ffff:ffff:ffff:ffff:ffff |
| 104 | 2001:f:9670::/44 | 2001:f:967f:ffff:ffff:ffff:ffff:ffff |
| 105 | 2001:f:9680::/44 | 2001:f:968f:ffff:ffff:ffff:ffff:ffff |
| 106 | 2001:f:9690::/44 | 2001:f:969f:ffff:ffff:ffff:ffff:ffff |
| 107 | 2001:f:96a0::/44 | 2001:f:96af:ffff:ffff:ffff:ffff:ffff |
| 108 | 2001:f:96b0::/44 | 2001:f:96bf:ffff:ffff:ffff:ffff:ffff |
| 109 | 2001:f:96c0::/44 | 2001:f:96cf:ffff:ffff:ffff:ffff:ffff |
| 110 | 2001:f:96d0::/44 | 2001:f:96df:ffff:ffff:ffff:ffff:ffff |
| 111 | 2001:f:96e0::/44 | 2001:f:96ef:ffff:ffff:ffff:ffff:ffff |
| 112 | 2001:f:96f0::/44 | 2001:f:96ff:ffff:ffff:ffff:ffff:ffff |
| 113 | 2001:f:9700::/44 | 2001:f:970f:ffff:ffff:ffff:ffff:ffff |
| 114 | 2001:f:9710::/44 | 2001:f:971f:ffff:ffff:ffff:ffff:ffff |
| 115 | 2001:f:9720::/44 | 2001:f:972f:ffff:ffff:ffff:ffff:ffff |
| 116 | 2001:f:9730::/44 | 2001:f:973f:ffff:ffff:ffff:ffff:ffff |
| 117 | 2001:f:9740::/44 | 2001:f:974f:ffff:ffff:ffff:ffff:ffff |
| 118 | 2001:f:9750::/44 | 2001:f:975f:ffff:ffff:ffff:ffff:ffff |
| 119 | 2001:f:9760::/44 | 2001:f:976f:ffff:ffff:ffff:ffff:ffff |
| 120 | 2001:f:9770::/44 | 2001:f:977f:ffff:ffff:ffff:ffff:ffff |
| 121 | 2001:f:9780::/44 | 2001:f:978f:ffff:ffff:ffff:ffff:ffff |
| 122 | 2001:f:9790::/44 | 2001:f:979f:ffff:ffff:ffff:ffff:ffff |
| 123 | 2001:f:97a0::/44 | 2001:f:97af:ffff:ffff:ffff:ffff:ffff |
| 124 | 2001:f:97b0::/44 | 2001:f:97bf:ffff:ffff:ffff:ffff:ffff |
| 125 | 2001:f:97c0::/44 | 2001:f:97cf:ffff:ffff:ffff:ffff:ffff |
| 126 | 2001:f:97d0::/44 | 2001:f:97df:ffff:ffff:ffff:ffff:ffff |
| 127 | 2001:f:97e0::/44 | 2001:f:97ef:ffff:ffff:ffff:ffff:ffff |
| 128 | 2001:f:97f0::/44 | 2001:f:97ff:ffff:ffff:ffff:ffff:ffff |
| 129 | 2001:f:9800::/44 | 2001:f:980f:ffff:ffff:ffff:ffff:ffff |
| 130 | 2001:f:9810::/44 | 2001:f:981f:ffff:ffff:ffff:ffff:ffff |
| 131 | 2001:f:9820::/44 | 2001:f:982f:ffff:ffff:ffff:ffff:ffff |
| 132 | 2001:f:9830::/44 | 2001:f:983f:ffff:ffff:ffff:ffff:ffff |
| 133 | 2001:f:9840::/44 | 2001:f:984f:ffff:ffff:ffff:ffff:ffff |
| 134 | 2001:f:9850::/44 | 2001:f:985f:ffff:ffff:ffff:ffff:ffff |
| 135 | 2001:f:9860::/44 | 2001:f:986f:ffff:ffff:ffff:ffff:ffff |
| 136 | 2001:f:9870::/44 | 2001:f:987f:ffff:ffff:ffff:ffff:ffff |
| 137 | 2001:f:9880::/44 | 2001:f:988f:ffff:ffff:ffff:ffff:ffff |
| 138 | 2001:f:9890::/44 | 2001:f:989f:ffff:ffff:ffff:ffff:ffff |
| 139 | 2001:f:98a0::/44 | 2001:f:98af:ffff:ffff:ffff:ffff:ffff |
| 140 | 2001:f:98b0::/44 | 2001:f:98bf:ffff:ffff:ffff:ffff:ffff |
| 141 | 2001:f:98c0::/44 | 2001:f:98cf:ffff:ffff:ffff:ffff:ffff |
| 142 | 2001:f:98d0::/44 | 2001:f:98df:ffff:ffff:ffff:ffff:ffff |
| 143 | 2001:f:98e0::/44 | 2001:f:98ef:ffff:ffff:ffff:ffff:ffff |
| 144 | 2001:f:98f0::/44 | 2001:f:98ff:ffff:ffff:ffff:ffff:ffff |
| 145 | 2001:f:9900::/44 | 2001:f:990f:ffff:ffff:ffff:ffff:ffff |
| 146 | 2001:f:9910::/44 | 2001:f:991f:ffff:ffff:ffff:ffff:ffff |
| 147 | 2001:f:9920::/44 | 2001:f:992f:ffff:ffff:ffff:ffff:ffff |
| 148 | 2001:f:9930::/44 | 2001:f:993f:ffff:ffff:ffff:ffff:ffff |
| 149 | 2001:f:9940::/44 | 2001:f:994f:ffff:ffff:ffff:ffff:ffff |
| 150 | 2001:f:9950::/44 | 2001:f:995f:ffff:ffff:ffff:ffff:ffff |
| 151 | 2001:f:9960::/44 | 2001:f:996f:ffff:ffff:ffff:ffff:ffff |
| 152 | 2001:f:9970::/44 | 2001:f:997f:ffff:ffff:ffff:ffff:ffff |
| 153 | 2001:f:9980::/44 | 2001:f:998f:ffff:ffff:ffff:ffff:ffff |
| 154 | 2001:f:9990::/44 | 2001:f:999f:ffff:ffff:ffff:ffff:ffff |
| 155 | 2001:f:99a0::/44 | 2001:f:99af:ffff:ffff:ffff:ffff:ffff |
| 156 | 2001:f:99b0::/44 | 2001:f:99bf:ffff:ffff:ffff:ffff:ffff |
| 157 | 2001:f:99c0::/44 | 2001:f:99cf:ffff:ffff:ffff:ffff:ffff |
| 158 | 2001:f:99d0::/44 | 2001:f:99df:ffff:ffff:ffff:ffff:ffff |
| 159 | 2001:f:99e0::/44 | 2001:f:99ef:ffff:ffff:ffff:ffff:ffff |
| 160 | 2001:f:99f0::/44 | 2001:f:99ff:ffff:ffff:ffff:ffff:ffff |
| 161 | 2001:f:9a00::/44 | 2001:f:9a0f:ffff:ffff:ffff:ffff:ffff |
| 162 | 2001:f:9a10::/44 | 2001:f:9a1f:ffff:ffff:ffff:ffff:ffff |
| 163 | 2001:f:9a20::/44 | 2001:f:9a2f:ffff:ffff:ffff:ffff:ffff |
| 164 | 2001:f:9a30::/44 | 2001:f:9a3f:ffff:ffff:ffff:ffff:ffff |
| 165 | 2001:f:9a40::/44 | 2001:f:9a4f:ffff:ffff:ffff:ffff:ffff |
| 166 | 2001:f:9a50::/44 | 2001:f:9a5f:ffff:ffff:ffff:ffff:ffff |
| 167 | 2001:f:9a60::/44 | 2001:f:9a6f:ffff:ffff:ffff:ffff:ffff |
| 168 | 2001:f:9a70::/44 | 2001:f:9a7f:ffff:ffff:ffff:ffff:ffff |
| 169 | 2001:f:9a80::/44 | 2001:f:9a8f:ffff:ffff:ffff:ffff:ffff |
| 170 | 2001:f:9a90::/44 | 2001:f:9a9f:ffff:ffff:ffff:ffff:ffff |
| 171 | 2001:f:9aa0::/44 | 2001:f:9aaf:ffff:ffff:ffff:ffff:ffff |
| 172 | 2001:f:9ab0::/44 | 2001:f:9abf:ffff:ffff:ffff:ffff:ffff |
| 173 | 2001:f:9ac0::/44 | 2001:f:9acf:ffff:ffff:ffff:ffff:ffff |
| 174 | 2001:f:9ad0::/44 | 2001:f:9adf:ffff:ffff:ffff:ffff:ffff |
| 175 | 2001:f:9ae0::/44 | 2001:f:9aef:ffff:ffff:ffff:ffff:ffff |
| 176 | 2001:f:9af0::/44 | 2001:f:9aff:ffff:ffff:ffff:ffff:ffff |
| 177 | 2001:f:9b00::/44 | 2001:f:9b0f:ffff:ffff:ffff:ffff:ffff |
| 178 | 2001:f:9b10::/44 | 2001:f:9b1f:ffff:ffff:ffff:ffff:ffff |
| 179 | 2001:f:9b20::/44 | 2001:f:9b2f:ffff:ffff:ffff:ffff:ffff |
| 180 | 2001:f:9b30::/44 | 2001:f:9b3f:ffff:ffff:ffff:ffff:ffff |
| 181 | 2001:f:9b40::/44 | 2001:f:9b4f:ffff:ffff:ffff:ffff:ffff |
| 182 | 2001:f:9b50::/44 | 2001:f:9b5f:ffff:ffff:ffff:ffff:ffff |
| 183 | 2001:f:9b60::/44 | 2001:f:9b6f:ffff:ffff:ffff:ffff:ffff |
| 184 | 2001:f:9b70::/44 | 2001:f:9b7f:ffff:ffff:ffff:ffff:ffff |
| 185 | 2001:f:9b80::/44 | 2001:f:9b8f:ffff:ffff:ffff:ffff:ffff |
| 186 | 2001:f:9b90::/44 | 2001:f:9b9f:ffff:ffff:ffff:ffff:ffff |
| 187 | 2001:f:9ba0::/44 | 2001:f:9baf:ffff:ffff:ffff:ffff:ffff |
| 188 | 2001:f:9bb0::/44 | 2001:f:9bbf:ffff:ffff:ffff:ffff:ffff |
| 189 | 2001:f:9bc0::/44 | 2001:f:9bcf:ffff:ffff:ffff:ffff:ffff |
| 190 | 2001:f:9bd0::/44 | 2001:f:9bdf:ffff:ffff:ffff:ffff:ffff |
| 191 | 2001:f:9be0::/44 | 2001:f:9bef:ffff:ffff:ffff:ffff:ffff |
| 192 | 2001:f:9bf0::/44 | 2001:f:9bff:ffff:ffff:ffff:ffff:ffff |
| 193 | 2001:f:9c00::/44 | 2001:f:9c0f:ffff:ffff:ffff:ffff:ffff |
| 194 | 2001:f:9c10::/44 | 2001:f:9c1f:ffff:ffff:ffff:ffff:ffff |
| 195 | 2001:f:9c20::/44 | 2001:f:9c2f:ffff:ffff:ffff:ffff:ffff |
| 196 | 2001:f:9c30::/44 | 2001:f:9c3f:ffff:ffff:ffff:ffff:ffff |
| 197 | 2001:f:9c40::/44 | 2001:f:9c4f:ffff:ffff:ffff:ffff:ffff |
| 198 | 2001:f:9c50::/44 | 2001:f:9c5f:ffff:ffff:ffff:ffff:ffff |
| 199 | 2001:f:9c60::/44 | 2001:f:9c6f:ffff:ffff:ffff:ffff:ffff |
| 200 | 2001:f:9c70::/44 | 2001:f:9c7f:ffff:ffff:ffff:ffff:ffff |
| 201 | 2001:f:9c80::/44 | 2001:f:9c8f:ffff:ffff:ffff:ffff:ffff |
| 202 | 2001:f:9c90::/44 | 2001:f:9c9f:ffff:ffff:ffff:ffff:ffff |
| 203 | 2001:f:9ca0::/44 | 2001:f:9caf:ffff:ffff:ffff:ffff:ffff |
| 204 | 2001:f:9cb0::/44 | 2001:f:9cbf:ffff:ffff:ffff:ffff:ffff |
| 205 | 2001:f:9cc0::/44 | 2001:f:9ccf:ffff:ffff:ffff:ffff:ffff |
| 206 | 2001:f:9cd0::/44 | 2001:f:9cdf:ffff:ffff:ffff:ffff:ffff |
| 207 | 2001:f:9ce0::/44 | 2001:f:9cef:ffff:ffff:ffff:ffff:ffff |
| 208 | 2001:f:9cf0::/44 | 2001:f:9cff:ffff:ffff:ffff:ffff:ffff |
| 209 | 2001:f:9d00::/44 | 2001:f:9d0f:ffff:ffff:ffff:ffff:ffff |
| 210 | 2001:f:9d10::/44 | 2001:f:9d1f:ffff:ffff:ffff:ffff:ffff |
| 211 | 2001:f:9d20::/44 | 2001:f:9d2f:ffff:ffff:ffff:ffff:ffff |
| 212 | 2001:f:9d30::/44 | 2001:f:9d3f:ffff:ffff:ffff:ffff:ffff |
| 213 | 2001:f:9d40::/44 | 2001:f:9d4f:ffff:ffff:ffff:ffff:ffff |
| 214 | 2001:f:9d50::/44 | 2001:f:9d5f:ffff:ffff:ffff:ffff:ffff |
| 215 | 2001:f:9d60::/44 | 2001:f:9d6f:ffff:ffff:ffff:ffff:ffff |
| 216 | 2001:f:9d70::/44 | 2001:f:9d7f:ffff:ffff:ffff:ffff:ffff |
| 217 | 2001:f:9d80::/44 | 2001:f:9d8f:ffff:ffff:ffff:ffff:ffff |
| 218 | 2001:f:9d90::/44 | 2001:f:9d9f:ffff:ffff:ffff:ffff:ffff |
| 219 | 2001:f:9da0::/44 | 2001:f:9daf:ffff:ffff:ffff:ffff:ffff |
| 220 | 2001:f:9db0::/44 | 2001:f:9dbf:ffff:ffff:ffff:ffff:ffff |
| 221 | 2001:f:9dc0::/44 | 2001:f:9dcf:ffff:ffff:ffff:ffff:ffff |
| 222 | 2001:f:9dd0::/44 | 2001:f:9ddf:ffff:ffff:ffff:ffff:ffff |
| 223 | 2001:f:9de0::/44 | 2001:f:9def:ffff:ffff:ffff:ffff:ffff |
| 224 | 2001:f:9df0::/44 | 2001:f:9dff:ffff:ffff:ffff:ffff:ffff |
| 225 | 2001:f:9e00::/44 | 2001:f:9e0f:ffff:ffff:ffff:ffff:ffff |
| 226 | 2001:f:9e10::/44 | 2001:f:9e1f:ffff:ffff:ffff:ffff:ffff |
| 227 | 2001:f:9e20::/44 | 2001:f:9e2f:ffff:ffff:ffff:ffff:ffff |
| 228 | 2001:f:9e30::/44 | 2001:f:9e3f:ffff:ffff:ffff:ffff:ffff |
| 229 | 2001:f:9e40::/44 | 2001:f:9e4f:ffff:ffff:ffff:ffff:ffff |
| 230 | 2001:f:9e50::/44 | 2001:f:9e5f:ffff:ffff:ffff:ffff:ffff |
| 231 | 2001:f:9e60::/44 | 2001:f:9e6f:ffff:ffff:ffff:ffff:ffff |
| 232 | 2001:f:9e70::/44 | 2001:f:9e7f:ffff:ffff:ffff:ffff:ffff |
| 233 | 2001:f:9e80::/44 | 2001:f:9e8f:ffff:ffff:ffff:ffff:ffff |
| 234 | 2001:f:9e90::/44 | 2001:f:9e9f:ffff:ffff:ffff:ffff:ffff |
| 235 | 2001:f:9ea0::/44 | 2001:f:9eaf:ffff:ffff:ffff:ffff:ffff |
| 236 | 2001:f:9eb0::/44 | 2001:f:9ebf:ffff:ffff:ffff:ffff:ffff |
| 237 | 2001:f:9ec0::/44 | 2001:f:9ecf:ffff:ffff:ffff:ffff:ffff |
| 238 | 2001:f:9ed0::/44 | 2001:f:9edf:ffff:ffff:ffff:ffff:ffff |
| 239 | 2001:f:9ee0::/44 | 2001:f:9eef:ffff:ffff:ffff:ffff:ffff |
| 240 | 2001:f:9ef0::/44 | 2001:f:9eff:ffff:ffff:ffff:ffff:ffff |
| 241 | 2001:f:9f00::/44 | 2001:f:9f0f:ffff:ffff:ffff:ffff:ffff |
| 242 | 2001:f:9f10::/44 | 2001:f:9f1f:ffff:ffff:ffff:ffff:ffff |
| 243 | 2001:f:9f20::/44 | 2001:f:9f2f:ffff:ffff:ffff:ffff:ffff |
| 244 | 2001:f:9f30::/44 | 2001:f:9f3f:ffff:ffff:ffff:ffff:ffff |
| 245 | 2001:f:9f40::/44 | 2001:f:9f4f:ffff:ffff:ffff:ffff:ffff |
| 246 | 2001:f:9f50::/44 | 2001:f:9f5f:ffff:ffff:ffff:ffff:ffff |
| 247 | 2001:f:9f60::/44 | 2001:f:9f6f:ffff:ffff:ffff:ffff:ffff |
| 248 | 2001:f:9f70::/44 | 2001:f:9f7f:ffff:ffff:ffff:ffff:ffff |
| 249 | 2001:f:9f80::/44 | 2001:f:9f8f:ffff:ffff:ffff:ffff:ffff |
| 250 | 2001:f:9f90::/44 | 2001:f:9f9f:ffff:ffff:ffff:ffff:ffff |
| 251 | 2001:f:9fa0::/44 | 2001:f:9faf:ffff:ffff:ffff:ffff:ffff |
| 252 | 2001:f:9fb0::/44 | 2001:f:9fbf:ffff:ffff:ffff:ffff:ffff |
| 253 | 2001:f:9fc0::/44 | 2001:f:9fcf:ffff:ffff:ffff:ffff:ffff |
| 254 | 2001:f:9fd0::/44 | 2001:f:9fdf:ffff:ffff:ffff:ffff:ffff |
| 255 | 2001:f:9fe0::/44 | 2001:f:9fef:ffff:ffff:ffff:ffff:ffff |
| 256 | 2001:f:9ff0::/44 | 2001:f:9fff:ffff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |